/**
Returns a new array that is rotated by the given number of steps.

@param array - The array to rotate.
@param steps - The number of steps to rotate. Can be negative.

@example
```
import toRotated from 'to-rotated';

console.log(toRotated([1, 2, 3, 4, 5], 2));
//=> [4, 5, 1, 2, 3]

console.log(toRotated([1, 2, 3, 4, 5], -2));
//=> [3, 4, 5, 1, 2]
```
*/
export default function toRotated<T>(array: readonly T[], steps: number): T[];
